#ifndef XANIMDELTAPARTQUATDATAFRAMES_H
#define XANIMDELTAPARTQUATDATAFRAMES_H

#include "xasset.h"
#include "xanimdynamicindices.h"

class XAnimDeltaPartQuatDataFrames : public XAsset
{
public:
    explicit XAnimDeltaPartQuatDataFrames();

    quint32 GetFramesPtr() const;
    void SetFramesPtr(quint32 ptr);

    const qint16* GetFrames() const;
    void SetFrames(const qint16* frames, size_t count = 2);

    XAnimDynamicIndices& GetIndices();
    const XAnimDynamicIndices& GetIndices() const;
    void SetIndices(const XAnimDynamicIndices& indices);

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mFramesPtr = 0;
    qint16 mFrames[2] = {0};
    XAnimDynamicIndices mIndices;
};

#endif // XANIMDELTAPARTQUATDATAFRAMES_H
